@import 'assets/stylesheets/typography.scss';

.chip-container {
    width: fit-content;
    height: fit-content;

    .MuiChip-root {
        &.default {
            background-color: $primary-purple;
            h6 {
                color: $primary-text;
            }
        }
        &.gray {
            background-color: $secondary-text;
            h6 {
                color: $primary-dark;
            }
        }
        &.small {
            height: 18px !important;
            min-width: 18px;
            border-radius: 16px;

            .MuiChip-label {
                padding-left: 8px;
                padding-right: 8px;

                h6 {
                    @extend .subtitle-2;
                }
            }
        }

        &.medium {
            height: 24px !important;
            min-width: 24px;
            border-radius: 16px;

            .MuiChip-label {
                padding-left: 8px;
                padding-right: 8px;

                h6 {
                    @extend .subtitle-1;
                }
            }
        }
    }
}